List catalog products

Returns the organization's non-archived products, most recently updated first.

GET
/v1/catalog/products

Returns the organization's non-archived products, most recently updated first.

Authorization

AuthorizationBearer <token>

The organization API key, sent as Authorization: Bearer <key>.

In: header

Query Parameters

limit?integer

How many items to return. Maximum 100.

Range1 <= value <= 100
Default25
offset?|

How many items to skip from the beginning.

Range0 <= value
Default0
budgetTier?string

Value in

  • "economic"
  • "mid"
  • "premium"
query?string

Matches against the title, summary and description.

Length1 <= length
status?string

Value in

  • "active"
  • "paused"
  • "draft"
type?string

Value in

  • "package"
  • "experience"
  • "expedition"
  • "custom"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/catalog/products"
{  "data": [    {      "budgetTier": "economic",      "capacity": {        "max": 1,        "min": 1,        "unitLabel": "string"      },      "capacityMax": 0,      "capacityMin": 0,      "coverImage": "string",      "createdAt": "2019-08-24T14:15:22Z",      "currency": "string",      "description": "string",      "destinations": [        "string"      ],      "durationDays": 0,      "durationHours": 0,      "excludes": [        "string"      ],      "externalReferenceCode": "string",      "fares": [        {          "ageBands": [            {              "ageFrom": 0,              "ageTo": 0,              "chargeType": "percentage_of_adult",              "label": "string",              "value": 0            }          ],          "appliesTo": {            "departureIds": [              "string"            ],            "recurringIds": [              "string"            ],            "season": {              "from": "string",              "until": "string"            },            "variantIds": [              "string"            ],            "weekdays": [              0            ]          },          "base": 0,          "conditions": "string",          "currency": "str",          "id": "string",          "label": "string",          "residency": {            "foreign": {              "chargeType": "fixed",              "value": 0            },            "local": {              "chargeType": "fixed",              "value": 0            }          },          "unit": "per_person"        }      ],      "fromPrice": 0,      "gallery": [        "string"      ],      "id": "string",      "includes": [        "string"      ],      "operator": "string",      "priceBasis": "string",      "priceMax": 0,      "pricingMode": "per_person",      "reviewed": true,      "schedule": {        "closures": [          {            "from": "string",            "id": "string",            "note": "string",            "times": [              "string"            ],            "until": "string"          }        ],        "departures": [          {            "capacityMax": 1,            "endsOn": "string",            "id": "string",            "label": "string",            "startsOn": "string",            "status": "open",            "time": "string",            "variantIds": [              "string"            ]          }        ],        "minNights": 1,        "recurring": [          {            "capacityMax": 1,            "from": "string",            "id": "string",            "kind": "slots",            "times": [              "string"            ],            "until": "string",            "weekdays": [              0            ]          }        ],        "timezone": "string",        "version": 1      },      "shortDescription": "string",      "specialConditions": "string",      "status": "active",      "title": "string",      "type": "package",      "updatedAt": "2019-08-24T14:15:22Z",      "validFrom": "string",      "validUntil": "string",      "variants": [        {          "capacityMax": 0,          "capacityMin": 0,          "currency": "string",          "description": "string",          "durationDays": 0,          "durationHours": 0,          "excludes": [            "string"          ],          "fromPrice": 0,          "id": "string",          "includes": [            "string"          ],          "inventoryRemaining": 0,          "inventoryStatus": "open",          "inventoryUpdatedAt": "2019-08-24T14:15:22Z",          "label": "string",          "position": 0,          "priceMax": 0,          "shortDescription": "string",          "status": "active"        }      ]    }  ],  "pagination": {    "limit": 0,    "offset": 0,    "total": 0  }}